package com.alibaba.druid.sql.dialect.gauss.ast.stmt.alterTable;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.gauss.ast.GaussSQLObjectImpl;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;

public class GaussAlterTableSetTableSpace extends GaussSQLObjectImpl implements SQLAlterTableItem {
   private SQLExpr name;

   public void accept0(GaussASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getName() {
      return this.name;
   }

   public void setName(SQLExpr name) {
      this.name = name;
      name.setParent(this);
   }

   public GaussAlterTableSetTableSpace clone() {
      GaussAlterTableSetTableSpace c = new GaussAlterTableSetTableSpace();
      c.setName(this.name.clone());
      return c;
   }
}
